import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PpTelecomWhiteLot } from '../models/index';
/**
 * @author auto generate
 * @version 1.2
 * @date 2022-05-13 10:40
 */
interface PpTelecomWhiteLotCU extends ConditionUtil<PpTelecomWhiteLotCU> {
    LOT_ID: FieldUtil<PpTelecomWhiteLotCU>;
    CREATE_TIME: FieldUtil<PpTelecomWhiteLotCU>;
}
declare class PpTelecomWhiteLotMU extends TableUtilImpl<PpTelecomWhiteLotCU, PpTelecomWhiteLot> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PpTelecomWhiteLotCU;
    static get LOT_ID(): FieldUtil<PpTelecomWhiteLotCU>;
    static get CREATE_TIME(): FieldUtil<PpTelecomWhiteLotCU>;
    get LOT_ID(): FieldUtil<PpTelecomWhiteLotCU>;
    get CREATE_TIME(): FieldUtil<PpTelecomWhiteLotCU>;
}
export { PpTelecomWhiteLotMU, PpTelecomWhiteLotCU };
